SDL_HasRectIntersection(3)

NAME
SDL_HasRectIntersection - Determine whether two rectangles intersect.

HEADER FILE
Defined in SDL3/SDL_rect.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_HasRectIntersection(const SDL_Rect * A,
                                 const SDL_Rect * B);

DESCRIPTION
If either pointer is NULL the function will return SDL_FALSE .

FUNCTION PARAMETERS

A   an SDL_Rect
     structure representing the first rectangle

B   an SDL_Rect
     structure representing the second rectangle

RETURN VALUE
Returns SDL_TRUE
 if there is an intersection, SDL_FALSE
 otherwise.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetRectIntersection(3)